import { NetworkCostConstraint } from "./externalApiTypes";
export interface IDashboardHostApiInternal {
    readonly isInCTARegion: boolean;
    readonly isPrivacyConsentAccepted: boolean;
    readonly isInternetConnectionAvailable: boolean;
    readonly networkCostConstraint: NetworkCostConstraint;
    readonly sessionId: string;
    readonly hostAppVersion: string;
    readonly userGeoName: string;
    readonly userDisplayLocale: string;
    readonly isTextDirectionRTL: boolean;
    readonly isWVVersionBlocked: boolean;
    readonly isAppVersionBlocked: boolean;
    readonly isOSVersionBlocked: boolean;
    readonly geoLocationCode: string;
    acceptPrivacyNotice(): void;
    requestRefresh(): void;
    setLaunchAttributionContext(context: string): void;
    setIsMeteredConnectionUsageAllowedForMigration(enabled: boolean): void;
    addEventListener(eventName: string, listener: Function): void;
    removeEventListener(eventName: string, listener: Function): void;
    initAsync(): Promise<void>;
}
